<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Modal</title>

    <script src="Resources/jquery-3.2.1.js"></script>
    <script src="Resources/bootstrap-3.3.7-dist/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="Resources/bootstrap-3.3.7-dist/css/bootstrap.min.css">
</head>


<body>
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">
    Launch demo modal
</button>

<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Modal title</h4>
            </div>
            <div class="modal-body">

                ...
                    <script>
                    $(document).ready(function () {
                        $("#myButton").click(function () {

                            var prevText = $("#myParagraph").text();

                            if (prevText == "Hello") {
                                $("#myParagraph").text(prevText + " world");
                                $("#myParagraph").css("background", "BLUE");

                            }

                            else if ((prevText == "World")){
                                $("#myParagraph").text("Hello " + prevText);
                                $("#myParagraph").css("background", "RED");
                            }
                            else {
                                $("#myParagraph").text("Hello World");
                                $("#myParagraph").css("background", "GREEN");

                            }
                        });
                    });

                </script>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
            </div>
        </div>
    </div>
</div>
</body>
</html>